Cyberduck Mountain Duck CLI

#9763 closed feature (duplicate)

Support OpenSSH key format (ECDSA) with password

Reported by: nanobot Owned by:
Priority: normal Milestone: 6.6.2
Component: sftp Version: Nightly Build
Severity: blocker Keywords:
Cc: jph@… Architecture: Intel
Platform: macOS 10.13

Description (last modified by nanobot)

When will ECDSA private key nist 521 bit being supported?, currently my ecdsa private key .ppk is unusable both on cyberduck and mountainduck.

Change History (12)

comment:1 Changed on Nov 18, 2016 at 3:16:26 AM by nanobot

  • Description modified (diff)

comment:2 Changed on Nov 18, 2016 at 6:53:33 AM by nanobot

  • Summary changed from Support ECDSA private key nist 512 bit to Support ECDSA private key nist 521 bit

comment:3 Changed on Nov 18, 2016 at 9:30:39 AM by dkocher

  • Milestone set to 5.2.2
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #8548. This should work except for password protected private keys.

comment:4 follow-up: Changed on Nov 18, 2016 at 1:31:28 PM by nanobot

  • Resolution duplicate deleted
  • Status changed from closed to reopened

How about password protected private keys?.

comment:5 in reply to: ↑ 4 Changed on Nov 21, 2016 at 11:23:39 AM by dkocher

  • Milestone 5.2.2 deleted
  • Priority changed from highest to normal
  • Summary changed from Support ECDSA private key nist 521 bit to Support OpenSSH key format with password

Replying to nanobot:

How about password protected private keys?.

comment:6 Changed on Feb 1, 2017 at 5:04:20 PM by nanobot

Any news?

comment:7 Changed on Apr 5, 2017 at 6:09:07 PM by jph@…

  • Cc jph@… added

comment:8 Changed on Sep 8, 2017 at 8:11:19 AM by dkocher

#10023 closed as duplicate.

comment:9 Changed on Nov 8, 2017 at 4:10:16 PM by dkocher

  • Summary changed from Support OpenSSH key format with password to Support OpenSSH key format (ECDSA) with password

comment:10 follow-up: Changed on Feb 15, 2018 at 10:41:52 AM by UniverseX

  • Platform changed from Windows 10 to macOS 10.13

Hi, When are you planning to release it? Thanks.

comment:11 in reply to: ↑ 10 Changed on Jul 6, 2018 at 12:33:00 PM by dkocher

  • Milestone set to 6.6.2

Replying to UniverseX:

Hi, When are you planning to release it? Thanks.

This is part of 6.6.2.

comment:12 Changed on Jul 6, 2018 at 12:34:17 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software